#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Package
%define		pnam	Stash
Summary:	Package::Stash - routines for manipulating stashes
Summary(pl.UTF-8):	Package::Stash - funkcje do manipulowania tablicami symboli
Name:		perl-Package-Stash
Version:	0.38
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Package/Package-Stash-%{version}.tar.gz
# Source0-md5:	dc2d802eea2cb0b52ed9c4dd178761dd
URL:		http://search.cpan.org/dist/Package-Stash/
BuildRequires:	perl-Dist-CheckConflicts >= 0.02
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Module-Implementation >= 0.06
BuildRequires:	perl-Package-Stash-XS >= 0.26
BuildRequires:	perl-Package-DeprecationManager
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Simple >= 0.88
%endif
Suggests:	perl-Package-Stash-XS >= 0.26
Conflicts:	perl-Class-MOP <= 1.08
Conflicts:	perl-MooseX-Method-Signatures <= 0.36
Conflicts:	perl-MooseX-Role-WithOverloading <= 0.08
Conflicts:	perl-namespace-clean <= 0.18
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Manipulating stashes (Perl's symbol tables) is occasionally necessary,
but incredibly messy, and easy to get wrong. This module hides all of
that behind a simple API.

%description -l pl.UTF-8
Manipulowanie stashami (perlowymi tablicami symboli) jest czasem
niezbędne, ale bardzo zawiłe i błędogenne. Ten moduł ukrywa wszystko w
prostym API.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

# already handled by rpm Conflicts - don't generate Dist::CheckConflicts dep
%{__rm} $RPM_BUILD_ROOT%{_bindir}/package-stash-conflicts \
	$RPM_BUILD_ROOT%{perl_vendorlib}/Package/Stash/Conflicts.pm \
	$RPM_BUILD_ROOT%{_mandir}/man1/package-stash-conflicts.1p

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Package/Stash.pm
%{perl_vendorlib}/Package/Stash
%{_mandir}/man3/Package::Stash*.3pm*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Package-Stash.git;a=log;h=f10e7b385a781b4b79f4dcd45c119bdff8824a78

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f10e7b3
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 492a7ca
- up to 0.38

* Sun Nov 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 341e6f9
- updated to 0.37

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 9906256
- updated to 0.34

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> ed9a00d
- updated Dist::CheckConflicts BR

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 5142046
- up to 0.33

* Wed Mar 02 2011 Jakub Bogusz <qboosh@pld-linux.org> d196b00
- new

